---
sidebar_position: 6
description: Create poll tweet and other functions to work with Twitter in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Twitter]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Create poll tweet
 Creates a tweet with a poll



`Function CreatePollTweet(Val Text, Val OptionArray, Val Duration, Val Parameters = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Text | --text | String | &#x2714; | Tweet text |
  | OptionArray | --options | Array of String | &#x2714; | Poll options array |
  | Duration | --duration | String, Number | &#x2714; | Poll duration |
  | Parameters | --auth | Structure Of String | &#x2716; | Authorization data. See GetStandardParameters |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Twitter



```bsl title="1C:Enterprise/OneScript code example"
    Parameters = GetTwitterAuthData();
    Text       = "TestTweet" + String(New UUID);

    AnswersArray = New Array;
    AnswersArray.Add("Option 1");
    AnswersArray.Add("Option 2");

    Result = OPI_Twitter.CreatePollTweet(Text, AnswersArray, 60, Parameters);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint twitter CreatePollTweet \
             --text "TestTweetb1fd1e06-219c-4f9e-b256-6076109f6dde" \
             --options "['Option 1','Option 2']" \
             --duration 60 \
             --auth "{'redirect_uri':'https://hut.openintegrations.dev/melezh/6ad91cc8b','client_id':'***','client_secret':'***','access_token':'***','refresh_token':'***','oauth_token':'***','oauth_token_secret':'***','oauth_consumer_key':'***','oauth_consumer_secret':'***'}"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint twitter CreatePollTweet ^
             --text "TestTweetb1fd1e06-219c-4f9e-b256-6076109f6dde" ^
             --options "['Option 1','Option 2']" ^
             --duration 60 ^
             --auth "{'redirect_uri':'https://hut.openintegrations.dev/melezh/6ad91cc8b','client_id':'***','client_secret':'***','access_token':'***','refresh_token':'***','oauth_token':'***','oauth_token_secret':'***','oauth_consumer_key':'***','oauth_consumer_secret':'***'}"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "title": "Too Many Requests",
 "detail": "Too Many Requests",
 "type": "about:blank",
 "status": 429
}
```
